Loading...
Searching...
No Matches
StokesIConversions.h File Reference
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T>
void | casacore::ExpandFromStokesI (T *data, size_t n)
| Expands `n` values from single Stokes I values to have 4 values, in place.
template<>
void | casacore::ExpandFromStokesI (bool *data, size_t n)
template<typename T>
void | casacore::ExpandFromDiagonal (T *data, size_t n)
| Performs in-place expansion of `n` pair of diagonal values such that each pair becomes 4 values with zeros for the off-diagonal elements.
template<typename T>
T * | casacore::TransformToStokesI (const T *input, T *buffer, size_t n)
| Calculates for every set of 4 input values the Stokes-I values by doing out = 0.5 * (in_pp + in_qq), where pp/qq can be xx/yy or ll/rr.
template<>
bool * | casacore::TransformToStokesI (const bool *input, bool *buffer, size_t n)
template<typename T>
void | casacore::CheckIsDiagonal (const T *input, size_t n)
| Check if every set of 4 input values contains only non-zeros on the diagonal (pp or qq).